Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80580 - gzip is an encoding, not a type
Summary: gzip is an encoding, not a type
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mailcap
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-28 09:06 UTC by Kenneth Porter
Modified: 2014-03-17 02:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-07 21:17:31 UTC


Attachments (Terms of Use)

Description Kenneth Porter 2002-12-28 09:06:50 UTC
/etc/mime.types includes the assocation of application/x-gzip to .gz files. This
causes Apache httpd to always send that MIME type with any file with that
extension. Instead, it should send the type of the root name with the .gz
stripped, and send a Content-encoding of gzip. (It does do the latter part.)

To illustrate, create an HTML file and gzip it, for instance test.html.gz. Then
attempt to serve it with a stock installation. Mozilla will offer to save the
resulting file of type "application/x-gzip" instead of displaying the HTML.
Remove the matching line from /etc/mime.types, restart httpd, and the file
displays correctly.

Comment 1 Bill Nottingham 2003-02-07 21:17:31 UTC
Hm, I think this is more of a site preference; I know of many sites that don't
want to start having tar.gz/tar.bz2 uncompressed on the fly by web browsers.


Note You need to log in before you can comment on or make changes to this bug.